import Vue from 'vue'
import Router from 'vue-router'

import mainPage from './mainPage/index' // 主页
import indexPage from './mainPage/indexPage/index' // 首页
import coffeeIndex from './mainPage/coffeeIndex/index' // 城咖啡
import userCenter from './mainPage/userCenter/index' // 个人中心

Vue.use(Router)

const router = new Router({
  routes: [{
    path: '/mainPage',
    name: 'mainPage',
    component: mainPage,
    children: [{
      path: 'indexPage',
      name: 'indexPage',
      component: indexPage,
      children: []
    },{
      path: 'coffeeIndex',
      name: 'coffeeIndex',
      component: coffeeIndex,
      children: []
    },{
      path: 'userCenter',
      name: 'userCenter',
      component: userCenter,
      children: []
    }]
  }],
  linkActiveClass: 'active',
})

router.beforeEach((to, from, next) => {
  
  next()
})

export default router
